from setuptools import setup

name = "types-atheris"
description = "Typing stubs for atheris"
long_description = '''
## Typing stubs for atheris

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`atheris`](https://github.com/google/atheris) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
PyCharm, etc. to check code that uses
`atheris`.

This version of `types-atheris` aims to provide accurate annotations
for `atheris==2.3.*`.
The source for this package can be found at
https://github.com/python/typeshed/tree/main/stubs/atheris. All fixes for
types and metadata should be contributed there.

This stub package is marked as [partial](https://peps.python.org/pep-0561/#partial-stub-packages).
If you find that annotations are missing, feel free to contribute and help complete them.


See https://github.com/python/typeshed/blob/main/README.md for more details.
This package was generated from typeshed commit
[`f87041e1184db224520f038a05399d8cc3963f65`](https://github.com/python/typeshed/commit/f87041e1184db224520f038a05399d8cc3963f65) and was tested
with mypy 1.11.1, pyright 1.1.378, and
pytype 2024.4.11.
'''.lstrip()

setup(name=name,
      version="2.3.0.20240831",
      description=description,
      long_description=long_description,
      long_description_content_type="text/markdown",
      url="https://github.com/python/typeshed",
      project_urls={
          "GitHub": "https://github.com/python/typeshed",
          "Changes": "https://github.com/typeshed-internal/stub_uploader/blob/main/data/changelogs/atheris.md",
          "Issue tracker": "https://github.com/python/typeshed/issues",
          "Chat": "https://gitter.im/python/typing",
      },
      install_requires=[],
      packages=['atheris-stubs'],
      package_data={'atheris-stubs': ['__init__.pyi', 'function_hooks.pyi', 'import_hook.pyi', 'instrument_bytecode.pyi', 'utils.pyi', 'version_dependent.pyi', 'METADATA.toml', 'py.typed']},
      license="Apache-2.0",
      python_requires=">=3.8",
      classifiers=[
          "License :: OSI Approved :: Apache Software License",
          "Programming Language :: Python :: 3",
          "Typing :: Stubs Only",
      ]
)
